//------------------------------------------------------------------------------------------------------
//
//  HelloWorldFxP.c
//
//  Hello World FlexiPanel tutorial
//
//  (c) FlexiPanel Ltd
//
//-------------------------------------------------------------------------------------------------------

#include "Toothpick.h"
#include <p18cxxx.h>
#include "HelloWorldRes.h"  

void main( void )
{

	// if no LinkMatik, flash red led rapidly
	while ((ToothpickSemaphores&TPSF_LMTEXISTS)==0)
	{
		LedRed = ~LedRed;
		msDelay(50);
	}

	FxPCommand( FxPC_Start, 0, 0 );		// Start FlexiPanel service
	AwaitLMTComplete(); 				// Service operating, no client

	// main loop
	while ( 1 ) 
	{
		// Flash LED to show we're alive
		LedGreen = ~LedGreen;
		msDelay( 250 );

	}  // end of while ( 1 ) 

}

// HighInterrupt handler - nothing needs to be done
void HighInterrupt (void)
{
}

// LowInterrupt handler - only thind to do is clear the once-per-second clock tick interrupt
void LowInterrupt (void)
{
	if (IsSWI( SWI_Tick ) )
	{
		ClearSWI( SWI_Tick );		// Clear clock interrupt flag
		return;
	}

}


// Error event handler 
void ErrorStatus( unsigned char ErrNum )
{
	// Flash error number for diagnositic purposes
	// For product releases, a Reset() is better for unanticipated errors
	Breakpoint( ErrNum );
}


// BlueMatik Event handler 
void LMTEvent( unsigned char EventID, void *pData1, void *pData2 )
{
	if ( EventID==LMTE_Syntax )
	{
		// Flash error number for diagnositic purposes
		// For product releases, a Reset() is better for unanticipated errors
		Breakpoint( ((unsigned char*)pData1)[0] );
	}
}

// FxPEvent handler 
void FxPEvent( unsigned char EventID, void *pData )
{
	if ( EventID==FxPE_Connect ) 
	{
		// turn off red led during connection
		LedRed = LedRedOn;
	}

	if ( EventID==FxPE_Disco ) 
	{
		// turn off red led after disconnection 
		LedRed = LedRedOff;
	}

	// Check for control events
	if ( EventID==FxPE_ClntUpdate ) 
	{
		// If the button was pressed...
		if (*((unsigned short*) pData) == ID_Change_Text_2)
		{
			// Is the current text value Hello or World?
			if (pText1_1[0] == 'H')  	
			{
				// set the text value to Hello and update the client
				SetUp_Text1_1( (rom unsigned char *)"World", 0 ) ;
			}
			else
			{
				// set the text value to Hello and update the client
				SetUp_Text1_1( (rom unsigned char *)"Hello", 0 ) ;
			}
		}
	}
}

