`//------------------------------------------------------------------------------------------------------
//
//  Main.c
//
//  Empty shell of a ToothPIC application including all the required functions
//
//  (c) FlexiPanel Ltd
//
//-------------------------------------------------------------------------------------------------------

#include "Toothpick.h"
#include <p18cxxx.h>

void main( void )
{
	// if no BlueMatik, flash red led rapidly
	while ((ToothpickSemaphores&TPSF_LMTEXISTS)==0)
	{
		LedRed = ~LedRed;
		msDelay(50);
	}

	// main loop
	while ( 1 ) 
	{
		// Flash LED to show we're alive
		LedGreen = ~LedGreen;
		msDelay( 250 );

	}  // end of while ( 1 ) 

}

// HighInterrupt handler - nothing needs to be done
void HighInterrupt (void)
{
}

// LowInterrupt handler - only thind to do is clear the once-per-second clock tick interrupt
void LowInterrupt (void)
{
	if (IsSWI( SWI_Tick ) )
	{
		ClearSWI( SWI_Tick );		// Clear clock interrupt flag
		return;
	}

}


// Error event handler 
void ErrorStatus( unsigned char ErrNum )
{
	// Flash error number for diagnositic purposes
	// For product releases, a Reset() is better for unanticipated errors
	Breakpoint( ErrNum );
}


// LinkMatik Event handler 
void LMTEvent( unsigned char EventID, void *pData1, void *pData2 )
{
	if ( EventID==LMTE_Syntax )
	{
		// Flash error number for diagnositic purposes
		// For product releases, a Reset() is better for unanticipated errors
		Breakpoint( 123 );
	}
}

// FxPEvent handler 
void FxPEvent( unsigned char EventID, void *pData )
{
}

